<script lang="ts">
	import type { ActionData } from "./$types";
	import { Button, Card } from "attractions";
    import FormCard from "@/components/FormCard.svelte";
    import Alert from "@/components/Alert.svelte";

	export let form: ActionData;

	let fields = [
		["Vezetéknév", "firstname", "text", "account_circle", "KEK"],
		["Keresztnév", "lastname", "text", "account_circle", "W"],
		["E-mail cím", "email", "email", "mail", "kekw@kekw.kek"],
		["Születési dátum", "birthdate", "date", "calendar_today", "2002-08-20"],
		["Személyi igazolvány száma", "id", "text", "credit_card", "556677AE"],
		["Jelszó", "password", "password", "lock", "asd"],
	];

	let width = "450px";
</script>

<div class="wrapper">
	{#if !form?.success && form?.error_msg}
		<Alert type="error" {width}>
			{form?.error_msg}
		</Alert>
	{/if}
	<Card outline>
		<FormCard {fields} validation_results={form?.result} {width}>
			<span slot="suggestion">
				Ha már ügyfelünk vagy, akkor <a href="/login">jelentkezz be</a>
			</span>
			<span slot="actions">
				<Button outline type="submit">Regisztráció</Button>
			</span>
		</FormCard>
	</Card>
</div>

<style lang="scss">
	.wrapper {
		display: flex;
		flex-direction: column;
		align-items: center;
		justify-content: center;
		height: 100%;
	}
</style>
